Discover, inspect and download generated data products
Create download job for report
Creates an asynchronous download job that will format the dataset and make it available as a report via a signed bucket URL. Note that targetFormat CSV and CSV2 will both produce the same CSV2 format.
path Parameters
datasetIdquery Parameters
targetFormatOptional conversion format for Parquet datasets (PARQUET, XLSX, CSV2)
Headers
ET-Client-NameEntur Client Header.
It is required that all consumers identify themselves by using this header.
Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers.
The structure of ET-Client-Name should be: <company>-<application>.
X-Correlation-IdCorrelation id
Create download job for report › Responses
Created
idUUID of this download job. The job will automatically expire after a fixed period of time after completion.
statusCurrent status of the job: 0=Ordered, 1=COMPLETED, 2=Failed, 3=Expired, 5=Processing.
descriptionBest effort explanation for the status.
reportNameSuggested report filename for the formatted dataset.
contentTypeMIME Type of the formatted dataset.
datasetIDsList of Dataset IDs that will be included in the download job. The API will always return a single ID since it does not support merging datasets.
jobCreatedAtTimestamp when the download job was created.
rowsThe number of rows in the formatted dataset when COMPLETED.
signedBucketUrlThe signed URL to download the formatted dataset when COMPLETED.
crc32cChecksum of a formatted dataset when COMPLETED, this can be used by the client to verify the download. Not available for legacy reports.
Fetch formatted report metadata
Wait for asynchronous job and and return formatted report metadata. The report itself can be downloaded by the client using the provided signed bucket URL.
path Parameters
jobIdquery Parameters
waitForWait in seconds, max 40
Headers
ET-Client-NameEntur Client Header.
It is required that all consumers identify themselves by using this header.
Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers.
The structure of ET-Client-Name should be: <company>-<application>.
X-Correlation-IdCorrelation id
Fetch formatted report metadata › Responses
OK. The report is available for download.
idUUID of this download job. The job will automatically expire after a fixed period of time after completion.
statusCurrent status of the job: 0=Ordered, 1=COMPLETED, 2=Failed, 3=Expired, 5=Processing.
descriptionBest effort explanation for the status.
reportNameSuggested report filename for the formatted dataset.
contentTypeMIME Type of the formatted dataset.
datasetIDsList of Dataset IDs that will be included in the download job. The API will always return a single ID since it does not support merging datasets.
jobCreatedAtTimestamp when the download job was created.
rowsThe number of rows in the formatted dataset when COMPLETED.
signedBucketUrlThe signed URL to download the formatted dataset when COMPLETED.
crc32cChecksum of a formatted dataset when COMPLETED, this can be used by the client to verify the download. Not available for legacy reports.
Get dataset metadata
Get dataset metadata. This does not include a download URL, create a download job for that.
path Parameters
datasetIdHeaders
ET-Client-NameEntur Client Header.
It is required that all consumers identify themselves by using this header.
Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers.
The structure of ET-Client-Name should be: <company>-<application>.
X-Correlation-IdCorrelation id
Get dataset metadata › Responses
Ok
idID of this dataset.
dataProductVersionId of the specific version of the data product template used.
dataProductCodeThe data product code, this may be contributed to by several template versions over time.
orderDateThe System Date for the dataset creation.
orderByCreated by user or system.
datasetTypeClassification of the dataset. PARQUET sets can be formatted and downloaded on demand. BIGQUERY can not be downloaded, only accessed via BigQuery. LEGACY reports (CSV, XLSX) are preformatted.
datasetNameUserfriendly name of the dataset, typically used as the filename when downloaded.
statusCurrent status of the dataset: 0=Ordered, 1=COMPLETED, 2=Failed, 4=On Demand (DEPRECATED), 3=Cancelled, 9=Processing.
rowsNumber of rows in the dataset when COMPLETED. Not available for legacy reports.
bqProjectDestination BigQuery project when dataset is of type BIGQUERY.
chartOfAccountsRefThe Chart of Accounts this dataset is derived from, if defined.
ownerOrgRefOrganisation owning the dataset with self-service access.
copyOrgRefsRecipients of the dataset with self-service and M2M access.
acctMonthIdClearing system Accounting Month ID used by this dataset.
glBatchIdGL Batch ID potentially used by this dataset.
apBatchIdAP Batch ID potentially used by this dataset.
arBatchIdAR Batch ID potentially used by this dataset.
inBatchIdIN Batch ID potentially used by this dataset.
agreementIdClearing system Agreement ID potentially used by this dataset.
Find next dataset id
Find next dataset in the dataproduct identified by the dataProductVersion. The dataset must have the clients authenticated Organisation on the copy list. A dataset is defined as newer by having a greater ID than the provided (typically the previous successfully downloaded ID). The ID sequence may have holes but is always increasing. When synchronizing a new dataproduct with a backlog of datasets, the initial idAfter can be identified via the self service portal. Alternatively use idAfter=0 in combination with a fromDate to limit backlogged downloads.
path Parameters
dataProductVersionquery Parameters
idAfterReturn the first dataset ID from DataProduct with ID larger than this
fromDateLimit to datasets ordered on or after this date
Headers
ET-Client-NameEntur Client Header.
It is required that all consumers identify themselves by using this header.
Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers.
The structure of ET-Client-Name should be: <company>-<application>.
X-Correlation-IdCorrelation id
Find next dataset id › Responses
Ok